Description: Skip tests that requires Internet download during package build
Author: Anthony Fok <foka@debian.org>
Origin: vendor
Forwarded: not-needed
Last-Update: 2022-08-17
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/tzdata/download_oldtz_test.go
+++ b/tzdata/download_oldtz_test.go
@@ -1,8 +1,14 @@
 package tzdata
 
-import "testing"
+import (
+	"os"
+	"testing"
+)
 
 func TestDownloadOldNames(t *testing.T) {
+	if os.Getenv("AUTOPKGTEST_TMP") == "" {
+		t.Skip("skip test as Internet access is disallowed during Debian package build")
+	}
 	_, err := DownloadOldNames()
 	if err != nil {
 		t.Errorf("error: %v", err)
--- a/tzdata/download_wintz_test.go
+++ b/tzdata/download_wintz_test.go
@@ -1,8 +1,14 @@
 package tzdata
 
-import "testing"
+import (
+	"os"
+	"testing"
+)
 
 func TestDownloadWindowsZones(t *testing.T) {
+	if os.Getenv("AUTOPKGTEST_TMP") == "" {
+		t.Skip("skip test as Internet access is disallowed during Debian package build")
+	}
 	_, err := DownloadWindowsZones()
 	if err != nil {
 		t.Errorf("error: %v", err)
--- a/tzdata/tz_mapping_test.go
+++ b/tzdata/tz_mapping_test.go
@@ -2,10 +2,14 @@
 
 import (
 	"bytes"
+	"os"
 	"testing"
 )
 
 func TestUpdateWindowsTZMapping(t *testing.T) {
+	if os.Getenv("AUTOPKGTEST_TMP") == "" {
+		t.Skip("skip test as Internet access is disallowed during Debian package build")
+	}
 	var buf bytes.Buffer
 	err := UpdateWindowsTZMapping(&buf)
 	if err != nil {
--- a/tzdata/ftp_test.go
+++ b/tzdata/ftp_test.go
@@ -2,10 +2,15 @@
 
 import (
 	"io/ioutil"
+	"os"
 	"testing"
 )
 
 func TestFTPDownload(t *testing.T) {
+	if os.Getenv("AUTOPKGTEST_TMP") == "" {
+		t.Skip("skip test as Internet access is disallowed during Debian package build")
+	}
+
 	buf, err := FTPDownload(`ftp://ftp.iana.org/tz/tzdata-latest.tar.gz`)
 	if err != nil {
 		t.Errorf("%v", err)
--- a/tzdata/gz_test.go
+++ b/tzdata/gz_test.go
@@ -8,6 +8,9 @@
 )
 
 func TestExtractTarGz(t *testing.T) {
+	if os.Getenv("AUTOPKGTEST_TMP") == "" {
+		t.Skip("skip test as this requires output.tar.gz from TestFTPDownload, but Internet access is disallowed during Debian package build")
+	}
 
 	file, err := os.Open(`output.tar.gz`)
 	if err != nil {
